Loading...
Searching...
No Matches
hierarchicallagrangewithelementbubblebasis.hh File Reference
`#include <type_traits>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/math.hh>`
`#include <dune/localfunctions/hierarchical/hierarchicalp1withelementbubble.hh>`
`#include <dune/localfunctions/hierarchical/hierarchicalp2withelementbubble.hh>`
`#include <dune/functions/functionspacebases/defaultglobalbasis.hh>`
`#include <dune/functions/functionspacebases/lfeprebasismixin.hh>`
`#include <dune/geometry/type.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::HierarchicalLagrangeWithElementBubblePreBasis< GV, 1, R >
class | Dune::Functions::HierarchicalLagrangeWithElementBubblePreBasis< GV, 2, R >

## Namespaces

namespace | Dune
namespace | Dune::Functions
namespace | Dune::Functions::BasisFactory

## Typedefs

template<typename GV, int k, typename R = double>
using | Dune::Functions::HierarchicalLagrangeWithElementBubbleBasis = DefaultGlobalBasis<HierarchicalLagrangeWithElementBubblePreBasis<GV, k, R> >
| Basis of a Hierarchical Lagrange finite element space with element bubble functions.

## Functions

template<int k, typename R = double>
auto | Dune::Functions::BasisFactory::hierarchicalLagrangeWithElementBubble ()
| A factory that can create a HierarchicalLagrangeWithElementBubble pre-basis.
template<typename R = double>
auto | Dune::Functions::BasisFactory::hierarchicalP1B ()
| Explicit factory for k=1 for the HierarchicalLagrangeWithElementBubblePreBasis pre-basis.
template<typename R = double>
auto | Dune::Functions::BasisFactory::hierarchicalP2B ()
| Explicit factory for k=2 for the HierarchicalLagrangeWithElementBubblePreBasis pre-basis.